# cycler.concat

cycler.concat(left: Cycler[K, V], right: Cycler[K, U]) → Cycler[K, V | U]

  Concatenate `Cycler`s, as if chained using `itertools.chain`.

  The keys must match exactly.

  Returns:
    `Cycler`

      The concatenated cycler.

  Examples

      >>> num = cycler('a', range(3))
      >>> let = cycler('a', 'abc')
      >>> num.concat(let)
      cycler('a', [0, 1, 2, 'a', 'b', 'c'])